[evolvis-commits] r16659: Add Mailman diversio?==?UTF-8?Q?ns↵

mirabilos at evolvis.org mirabilos at evolvis.org
Tue Mar 1 01:31:18 CET 2011


Author: mirabilos
Date: 2011-03-01 01:31:18 +0100 (Tue, 01 Mar 2011)
New Revision: 16659

Added:
   trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.postrm
   trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.preinst
Log:
Add Mailman diversions


Added: trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.postrm
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.postrm	                        (rev 0)
+++ trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.postrm	2011-03-01 00:31:18 UTC (rev 16659)
@@ -0,0 +1,36 @@
+#! /bin/bash
+# postrm script for mailman plugin
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove)
+	dpkg-divert --package @PACKAGE at -plugin-mailman --rename --remove /usr/lib/mailman/Mailman/Archiver/Archiver.py || true
+	dpkg-divert --package @PACKAGE at -plugin-mailman --rename --remove /usr/lib/mailman/Mailman/SecurityManager.py || true
+	dpkg-divert --package @PACKAGE at -plugin-mailman --rename --remove /usr/lib/mailman/Mailman/MailList.py || true
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+exit 0


Property changes on: trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.postrm
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.preinst
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.preinst	                        (rev 0)
+++ trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.preinst	2011-03-01 00:31:18 UTC (rev 16659)
@@ -0,0 +1,43 @@
+#! /bin/bash
+# preinst script for mailman plugin
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+	dpkg-divert --package @PACKAGE at -plugin-mailman \
+		--divert /usr/lib/mailman/Mailman/Archiver/Archiver.py.old \
+		--rename /usr/lib/mailman/Mailman/Archiver/Archiver.py
+	dpkg-divert --package @PACKAGE at -plugin-mailman \
+		--divert /usr/lib/mailman/Mailman/SecurityManager.py.old \
+		--rename /usr/lib/mailman/Mailman/SecurityManager.py
+	dpkg-divert --package @PACKAGE at -plugin-mailman \
+		--divert /usr/lib/mailman/Mailman/MailList.py.old \
+		--rename /usr/lib/mailman/Mailman/MailList.py
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+exit 0
+


Property changes on: trunk/gforge_base/evolvisforge-5.1/src/debian/dsf-in/plugin-mailman.preinst
___________________________________________________________________
Added: svn:executable
   + *



More information about the evolvis-commits mailing list